<div class="card shadow mb-5">
    <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
        <h6 class="m-0 font-weight-bold text-info">FAQ</h6>
    </div>
    <div class="card-body">
        <!-- <form action="{% url 'profile:admin_setting_infografis' %}" method="POST">
            {% csrf_token %}
            <input type="hidden" name="jenis" value="faq"> -->

<!-- Form Awal -->
<form id="faqForm" method="post" action="{% url 'profile:admin_setting_carabayar' %}">
    {% csrf_token %}
    <input type="hidden" name="jenis" value="faq">

    {% if faq %}
        {% for x in faq %}
            <div class="form-row mb-2" id="edit-highlight1">
                <label class="col-sm-2 col-form-label" for="h1">Topik</label>
                <div class="col-10">
                    <input type="text" class="form-control" required maxlength="255" name="h1" id="h1" value="{{x.highlight}}">
                </div>
            </div>

            <div class="form-row mb-2" id="edit-lazada1">
                <label class="col-sm-2 col-form-label" for="p1">Pertanyaan</label>
                <div class="col-10">
                    <input type="text" class="form-control" required maxlength="255" name="p1" id="p1" value="{{ x.pertanyaan }}">
                </div>
            </div>

            <div class="form-row mb-2" id="edit-shope1">
                <label class="col-sm-2 col-form-label" for="j1">Jawaban</label>
                <div class="col-10">
                    <input type="text" class="form-control" required maxlength="255" name="j1" id="j1" value="{{ x.jawaban }}">
                </div>
            </div>
            <br>
        {% endfor %}
    {% endif %}

    <div class="form-group">
        <label for="f1">Tambah FAQ?</label>
        <div class="form-check">
            <input class="form-check-input" type="radio" name="enablePromo" value="yes" id="enablePromoYes">
            <label style="margin-right: 30px;" class="form-check-label" for="enablePromoYes">
                Yes
            </label>
            <input class="form-check-input" type="radio" name="enablePromo" value="no" id="enablePromoNo" checked>
            <label class="form-check-label" for="enablePromoNo">
                No
            </label>
        </div>
    </div>
</form>

<!-- Tombol Simpan -->
<button type="button" id="submitButton" class="btn btn-success">Simpan</button>

<!-- JavaScript -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.7.0/jquery.min.js" integrity="sha512-3gJwYpMe3QewGELv8k/BX9vcqhryRdzRMxVfq6ngyWXwo03GFEzjsUm8Q7RZcHPHksttq7/GFoxjCVUjkjvPdw==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
<script>
    $(document).ready(function() {
        var numInputs = 1; // Jumlah inputan awal

        // Ketika ada perubahan pada radio button enablePromo
        $('input[name="enablePromo"]').change(function() {
            if ($(this).val() === 'yes') {
                // Tambahkan inputan baru jika radio button "Yes" dipilih
                numInputs++;
                showInput(numInputs);
                $(this).prop('checked', false); // Uncheck radio button "Yes" setelah ditambahkan inputan baru
            }
        });

        // Fungsi untuk menampilkan inputan
        function showInput(index) {
            var newInput = `
                <div class="form-row mb-2" id="edit-highlight${index}">
                    <label class="col-sm-2 col-form-label" for="h${index}">Highlight</label>
                    <div class="col-10">
                        <input type="text" class="form-control" required maxlength="255" name="h${index}" id="h${index}">
                    </div>
                </div>

                <div class="form-row mb-2" id="edit-lazada${index}">
                    <label class="col-sm-2 col-form-label" for="p${index}">Pertanyaan</label>
                    <div class="col-10">
                        <input type="text" class="form-control" required maxlength="255" name="p${index}" id="p${index}">
                    </div>
                </div>

                <div class="form-row mb-2" id="edit-shope${index}">
                    <label class="col-sm-2 col-form-label" for="j${index}">Jawaban</label>
                    <div class="col-10">
                        <input type="text" class="form-control" required maxlength="255" name="j${index}" id="j${index}">
                    </div>
                </div>
                <br>
            `;

            $('#faqForm').append(newInput);
        }

        $('#submitButton').click(function() {
            var inputs = $('#faqForm input[type="text"]');
            var isEmpty = false;

            inputs.each(function() {
                if ($(this).val() === '') {
                    isEmpty = true;
                    return false;
                }
            });

            if (isEmpty) {
                alert('Semua input harus diisi!');
                return false;
            }

            $('#faqForm').submit();
        });
    });
</script>
    </div>
</div>